/*******************************************************************************
 * HttpRequestInterface generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class HttpRequestInterface extends HttpBaseInterface
    abstract
    native;

var delegate<OnProcessRequestComplete> __OnProcessRequestComplete__Delegate;

// Export UHttpRequestInterface::execGetVerb(FFrame&, void* const)
native function string GetVerb();

// Export UHttpRequestInterface::execSetVerb(FFrame&, void* const)
native function HttpRequestInterface SetVerb(string Verb);

// Export UHttpRequestInterface::execSetURL(FFrame&, void* const)
native function HttpRequestInterface SetURL(string URL);

// Export UHttpRequestInterface::execSetContent(FFrame&, void* const)
native function HttpRequestInterface SetContent(const out array<byte> ContentPayload);

// Export UHttpRequestInterface::execSetContentAsString(FFrame&, void* const)
native function HttpRequestInterface SetContentAsString(string ContentString);

// Export UHttpRequestInterface::execSetHeader(FFrame&, void* const)
native function HttpRequestInterface SetHeader(string HeaderName, string HeaderValue);

// Export UHttpRequestInterface::execProcessRequest(FFrame&, void* const)
native function bool ProcessRequest();

// Export UHttpRequestInterface::execAbort(FFrame&, void* const)
native function Abort();

delegate OnProcessRequestComplete(HttpRequestInterface OriginalRequest, HttpResponseInterface InHttpResponse, bool bDidSucceed)
{
    //return;    
}

function HttpRequestInterface SetProcessRequestCompleteDelegate(delegate<OnProcessRequestComplete> ProcessRequestCompleteDelegate)
{
    __OnProcessRequestComplete__Delegate = ProcessRequestCompleteDelegate;
    return self;
    //return ReturnValue;    
}
